Get Campaign
curl --request GET \
--url https://api.lemlist.com/api/campaigns/{campaignId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/campaigns/{campaignId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/campaigns/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/campaigns/{campaignId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/campaigns/{campaignId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"_id": "cam_bSn8EORHQxbWPjHvu",
"name": "Product Launch Campaign",
"createdAt": "2025-10-27T07:01:04.058Z",
"status": "draft",
"creator": {
"userId": "usr_ahfFktBBHUIxbVG5P",
"userEmail": "support@lemlist.com"
},
"senders": [
{
"id": "usr_rhhX1KT0qgOGCOrgE",
"email": "support@lemlist.com",
"sendUserMailboxId": "usm_J7BzS86A1vRMc2AuB"
}
]
}"Bad team""Campaign not found"Campaigns
Get Campaign
Retrieves detailed information about a specific campaign by ID.
GET
/
campaigns
/
{campaignId}
Get Campaign
This endpoint uses the Campaign object.
The
labels field in the returned object is optional and only included if there are labels on the campaign.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier of the campaign
Response
Success
An automated outreach workflow containing sequences of steps.
Unique campaign identifier
Campaign name
Categorization labels
Creation timestamp
Creator user ID
Campaign status
Available options:
running, paused, draft, ended, archived, errors Main sequence ID
Associated schedule IDs
ID of the team that owns this campaign
Whether the campaign has errors
List of error messages if campaign has errors
Campaign creator information
Show child attributes
Show child attributes
Campaign senders configuration
Show child attributes
Show child attributes
Was this page helpful?